package com.yd.dal.entity.agms.hiring;

/**
 * @author xxy
 */
public class PractitionerHiringListInfo {
    /**
     * 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     */
    private Long hiringBasicInfoId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 手机号
     */
    private String mobileNo;
    /**
     * 报聘职务
     */
    private String practitionerLevel;
    /**
     * 辅导人
     */
    private String mentor;
    /**
     * 介绍人
     */
    private String introducer;
    /**
     * 体系
     */
    private String subsystem;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 分公司
     */
    private String branch;
    /**
     * 申请时间
     */
    private String applicationTime;
    /**
     * 审批状态
     */
    private String status;

    /**
     * 获取 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     *
     * @return hiringBasicInfoId 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     */
    public Long getHiringBasicInfoId() {
        return this.hiringBasicInfoId;
    }

    /**
     * 设置 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     *
     * @param hiringBasicInfoId 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     */
    public void setHiringBasicInfoId(Long hiringBasicInfoId) {
        this.hiringBasicInfoId = hiringBasicInfoId;
    }

    /**
     * 获取 姓名
     *
     * @return name 姓名
     */
    public String getName() {
        return this.name;
    }

    /**
     * 设置 姓名
     *
     * @param name 姓名
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 手机号
     *
     * @return mobileNo 手机号
     */
    public String getMobileNo() {
        return this.mobileNo;
    }

    /**
     * 设置 手机号
     *
     * @param mobileNo 手机号
     */
    public void setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
    }

    /**
     * 获取 报聘职务
     *
     * @return practitionerLevel 报聘职务
     */
    public String getPractitionerLevel() {
        return this.practitionerLevel;
    }

    /**
     * 设置 报聘职务
     *
     * @param practitionerLevel 报聘职务
     */
    public void setPractitionerLevel(String practitionerLevel) {
        this.practitionerLevel = practitionerLevel;
    }

    /**
     * 获取 辅导人
     *
     * @return mentor 辅导人
     */
    public String getMentor() {
        return this.mentor;
    }

    /**
     * 设置 辅导人
     *
     * @param mentor 辅导人
     */
    public void setMentor(String mentor) {
        this.mentor = mentor;
    }

    /**
     * 获取 介绍人
     *
     * @return introducer 介绍人
     */
    public String getIntroducer() {
        return this.introducer;
    }

    /**
     * 设置 介绍人
     *
     * @param introducer 介绍人
     */
    public void setIntroducer(String introducer) {
        this.introducer = introducer;
    }

    /**
     * 获取 体系
     *
     * @return subsystem 体系
     */
    public String getSubsystem() {
        return this.subsystem;
    }

    /**
     * 设置 体系
     *
     * @param subsystem 体系
     */
    public void setSubsystem(String subsystem) {
        this.subsystem = subsystem;
    }

    /**
     * 获取 分公司
     *
     * @return branch 分公司
     */
    public String getBranch() {
        return this.branch;
    }

    /**
     * 设置 分公司
     *
     * @param branch 分公司
     */
    public void setBranch(String branch) {
        this.branch = branch;
    }

    /**
     * 获取 申请时间
     *
     * @return applicationTime 申请时间
     */
    public String getApplicationTime() {
        return this.applicationTime;
    }

    /**
     * 设置 申请时间
     *
     * @param applicationTime 申请时间
     */
    public void setApplicationTime(String applicationTime) {
        this.applicationTime = applicationTime;
    }

    @Override
    public String toString() {
        return "PractitionerHiringListInfo{" +
                "hiringBasicInfoId=" + hiringBasicInfoId +
                ", name='" + name + '\'' +
                ", mobileNo='" + mobileNo + '\'' +
                ", practitionerLevel='" + practitionerLevel + '\'' +
                ", mentor='" + mentor + '\'' +
                ", introducer='" + introducer + '\'' +
                ", subsystem='" + subsystem + '\'' +
                ", branch='" + branch + '\'' +
                ", applicationTime='" + applicationTime + '\'' +
                '}';
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
